Get all passes

GET /v0/passes

This endpoint fetches a list of all passes associated with your project. Each pass represents an Apple or Google pass that has been generated for a specific wallet, NFT, or policy.

To tailor the response to your specific needs, you have the flexibility to filter the passes based on multiple parameters including scanning times, creation times, expiration status, chain type, network, owner`s wallet address, contract address, and token ID.

The endpoint also allows for sorting the results based on a specific field such as id, ownerAddress, createdAt, lastScannedAt, or expiredAt. The order of the results can be set to ascending or descending using the asc query parameter.

You can also manage the number of results returned with the limit parameter and skip certain results using the offset parameter. By default, the response will include a maximum of 50 passes.

Each retrieved pass will contain comprehensive details including the ID, blockchain network, owner address, token ID, contract address, creation time, last scanned time, and expiration status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
number

Filter passes scanned on or after specified time (Unix timestamp in seconds)

number

Filter passes scanned up to or before specified time (Unix timestamp in seconds)

number

Filter passes created on or after specified time (Unix timestamp in seconds)

number

Filter passes created up to or before specified time (Unix timestamp in seconds)

number

0 Filter active passes
1 Filter expired passes

string
enum

Filter passes by blockchain

Allowed:
number
enum

Filter passes by network

string

Filter passes by owners wallet address

string

Filter passes by contract address

string

Filter passes by token ID

string

Commaseparated list of policy IDs

string
enum

Sort the results based on a field
Default: createdAt

Allowed:
number
enum

The "asc" query parameter sorts database query results in ascending order when set to 1, and descending order when set to 0, and is typically used in conjunction with the "orderBy" parameter.

Allowed:
number

Restrict the number of results returned.
Default: 50

number

Skip a certain number of results and return the remaining results.

Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json